com.io7m.jtensors.parameterized

## Interface PMatrixDirect3x3DType<T0,T1>

- Type Parameters:
    `T0` - A phantom type parameter
    `T1` - A phantom type parameter
  All Superinterfaces:
    Matrix3x3DType, MatrixDirect3x3DType, MatrixDirectDType, MatrixDirectReadable3x3DType, MatrixReadable2x2DType, MatrixReadable3x3DType, MatrixReadableDType, MatrixWritable2x2DType, MatrixWritable3x3DType, MatrixWritableDType, PMatrix3x3DType<T0,T1>, PMatrixDirectBufferedDType<T0,T1>, PMatrixDirectReadable3x3DType<T0,T1>, PMatrixReadable3x3DType<T0,T1>, PMatrixReadableDType<T0,T1>, PMatrixWritable3x3DType<T0,T1>, PMatrixWritableDType<T0,T1>
  All Known Implementing Classes:
    PMatrixDirectM3x3D

      public interface PMatrixDirect3x3DType<T0,T1>
      extends PMatrix3x3DType<T0,T1>, PMatrixDirectReadable3x3DType<T0,T1>, MatrixDirect3x3DType

  The type of 3x3 matrices with `double` elements that are backed by direct byte buffers.

  Values of type `PMatrixDirect3x3DType` are backed by direct memory, with the rows and columns of the matrices being stored in column-major format. This allows the matrices to be passed to OpenGL directly, without requiring transposition.

  Values of this type cannot be accessed safely from multiple threads without explicit synchronization.

  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable3x3DType

      `setR0C2D, setR1C2D, setR2C0D, setR2C1D, setR2C2D, setRowWith3D, setRowWith3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2DType

      `setR0C0D, setR0C1D, setR1C0D, setR1C1D, setRowWith2D, setRowWith2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritableDType

      `setRowColumnD`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable3x3DType

      `getR0C2D, getR1C2D, getR2C0D, getR2C1D, getR2C2D, getRow3D, getRow3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable2x2DType

      `getR0C0D, getR0C1D, getR1C0D, getR1C1D, getRow2D, getRow2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableDType

      `getRowColumnD`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixDirectDType

      `getDirectDoubleBuffer`

Copyright © 2016 <code@io7m.com> http://io7m.com